package cn.estsh.i3plus.pojo.bsp.server.bean.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/18 11:03
 * @Modify:
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("远程调用方法参数")
public class RequestModel {
    @ApiModelProperty("执行方法的key")
    private String methodHandlerKey;
    @ApiModelProperty("方法的入参")
    private Map<String, Object> jsonParamMap;
    @ApiModelProperty("日志id")
    private Long logId;
    @ApiModelProperty("方法类型-脚本-方法")
    private Integer type;
    @ApiModelProperty("脚本类型")
    private Integer scriptType;
    @ApiModelProperty("脚本内容")
    private String scriptContent;
//    @ApiModelProperty("脚本执行位置")
//    private Integer scriptExecutor;
}
